package com.maintain.business.service;

import com.maintain.business.domain.ErpSettlementMaintainRepairForm;
import com.maintain.business.domain.vo.ErpSettlementMaintainRepairFormVo;
import com.maintain.business.domain.bo.ErpSettlementMaintainRepairFormBo;
import com.maintain.common.core.page.TableDataInfo;
import com.maintain.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 结算单与报修单关联Service接口
 *
 * @author liushuai
 * @date 2025-04-03
 */
public interface IErpSettlementMaintainRepairFormService {

    /**
     * 查询结算单与报修单关联
     */
    ErpSettlementMaintainRepairFormVo queryById(Long id);

    /**
     * 查询结算单与报修单关联列表
     */
    TableDataInfo<ErpSettlementMaintainRepairFormVo> queryPageList(ErpSettlementMaintainRepairFormBo bo, PageQuery pageQuery);

    /**
     * 查询结算单与报修单关联列表
     */
    List<ErpSettlementMaintainRepairFormVo> queryList(ErpSettlementMaintainRepairFormBo bo);

    /**
     * 新增结算单与报修单关联
     */
    Boolean insertByBo(ErpSettlementMaintainRepairFormBo bo);
    Boolean insertBatch(List<ErpSettlementMaintainRepairFormBo> bo);

    /**
     * 修改结算单与报修单关联
     */
    Boolean updateByBo(ErpSettlementMaintainRepairFormBo bo);

    /**
     * 校验并批量删除结算单与报修单关联信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
    /**
     * 根据结算单IDs删除
     */
    Boolean deleteBySettlementMaintainIds(Collection<Long> ids, Boolean isValid);
    /**
     * 根据报修单IDs删除
     */
    Boolean deleteByRepairFormIds(Collection<Long> ids, Boolean isValid);
}
